#ifndef __DMA32_H
#define __DMA32_H

#ifdef __cplusplus
extern "C" {
#endif
WORD WINAPI _export AllocateBuffer( WORD type,  WORD mode);
WORD WINAPI _export FreeBuffer( WORD type, WORD mode );

WORD WINAPI _export AllocDmaOne(WORD BufLen, WORD CHN, WORD Rate, WORD mode);
WORD WINAPI _export AllocDmaAll(WORD BufLEn, WORD *CH, WORD CHN, WORD Rate, WORD mode);

WORD WINAPI _export AllocDmaDac(WORD BufLen, WORD *CH, WORD CHN, WORD Rate, WORD mode,
                               WORD *BufDac, WORD DacLen, WORD NDac);
WORD WINAPI _export AllocDacOne(WORD *BufDac, WORD BufLen, WORD Rate, WORD NDac, WORD mode);

WORD WINAPI _export WaitDma(WORD mode, WORD sleep);
WORD WINAPI _export WaitSingleDma( WORD mode);
WORD WINAPI _export WaitDma1(WORD BufLen, WORD mode);
WORD WINAPI _export WaitDma2(WORD BufLen, WORD mode);
WORD WINAPI _export CopyFromBuffer(WORD *Data, WORD BufLen, WORD mode);
WORD WINAPI _export CopyToBuffer(WORD *Data, WORD BufLen, WORD mode);

//WORD WINAPI _export FreeDma(WORD mode);
WORD WINAPI _export DmaOff(WORD mode);


#ifdef __cplusplus
}
#endif

#endif

